/* Nintendo DS BIOS @ https://fontmeme.com/fonts/nintendo-ds-bios-font/ */
@font-face {
  font-family: "nintendo-ds";
  src: url("../fonts/nin-ds/nintendo-ds-bios.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}
/* visitor @ https://www.dafont.com/visitor.font/ */
@font-face {
  font-family: "visitor";
  src: url("../fonts/visitor1.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "eternalUi";
  src: url("../fonts/EternalUi.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

html {
  overflow: hidden;
}

body {
  font-family: "nintendo-ds";

  /*custom cursor*/
  cursor: url(../images/cursor-eyeblack-1.png), default !important;
}
/*custom cursor hover*/
a:hover {
  cursor: url(../images/cursor-eyered-1.png), pointer !important;
}

#main-wrapper {
  margin-top: 14px;
  width: 694px;
  height: 604px;
  background-color: #dce6b7;
  border-style: solid;
  border-width: 3px;
  border-radius: 3px;
  border-top-color: #b7d44d;
  border-left-color: #b7d44d;
  border-right-color: #6fb143;
  border-bottom-color: #0e5a40;
  position: relative;
  top: 28px;
  /* padding: 5px 14px; */
}

/*========= title of the <main> window =========*/
.win-title {
  background-image: linear-gradient(to right, #0e5a40, #6fb143);
  width: auto;
  height: 22px;
  border-radius: 2px;
  border: 2px inset #6fb143;
  box-shadow: 0px 0px 2px 1px #0e5a40;
  margin: 6px 6px;
}

.win-title h1 {
  color: #f1f0b1;
  font-family: "nintendo-ds", Arial, Helvetica, sans-serif;
  font-size: 21px;
  font-weight: bold;
  padding-left: 8px;
}

/*========= window x button with on active effect =========*/
.x-button {
  width: 16px;
  float: right;
  margin: 4px;
  border-radius: 1px;
  position: relative;
  z-index: 3;
}
.x-button:active {
  width: 16px;
  float: right;
  margin: 3px;
  border-radius: 2px;
  transform: rotate(180deg);
}

main {
  /* display: flex; */
  margin-top: 8px;
  margin-left: 6px;
  /* margin-right: -14px; */
  height: 566px;
  width: 688px;
  /* overflow-y: scroll;
  scrollbar-width: thin;
  scrollbar-color: #c0ee1bdc #6fb143; */
}

#table-of-content {
  display: flex;
  width: 400px;
  height: 20px;
  margin-right: auto;
  margin-left: auto;
  font-family: "eternalUi", Arial, Helvetica, sans-serif;
  border: 2px solid #0e5a40;
  background-color: #96b95398;
  box-shadow: 4px 4px 1px 0px #6fb143;
  padding: 4px 8px 2px 8px;
}

#table-of-content hr {
  border-bottom: 1px solid whitesmoke;
}

#status-wrapper {
  height: 520px;
  width: auto;
  margin-top: 12px;
  margin-left: -29px;
  overflow-y: scroll;
  scrollbar-width: thin;
  scrollbar-color: #c0ee1bdc #6fb143;
}

.status-container {
  display: flex;
  text-align: left;
  font-size: 16px;
  font-family: "nintendo-ds";
  padding: 0px 36px;
}

.status {
  scale: 0.94;
  width: 50px;
  border-collapse: collapse;
}

.status tbody {
  outline: 2px solid #0e5a40;
  border-radius: 10px 2px 10px 2px;
}

.status th {
  background-color: #0e5a40;
  border-radius: 10px 0px 0px 2px;
  padding: 2px;
  text-align: center;
  font-family: "visitor";
  font-size: 20px;
  text-shadow:
    1px 1px 0 #ecdc00,
    1px -1px 0 #ecdc00,
    -1px 1px 0 #ecdc00,
    -1px -1px 0 #ecdc00,
    1px 0px 0 #ecdc00,
    0px 1px 0 #ecdc00,
    -1px 0px 0 #ecdc00,
    0px -1px 0 #ecdc00;
}

.status tr:nth-child(2) {
  height: 150px;
}

.status tr:nth-child(2) img {
  min-width: 160px;
}

.status tr:last-child {
  height: 88px;
}

.status td {
  background-color: #ecdc00;
  outline: 1px dashed #0e5a40;
  padding: 3px;
  vertical-align: middle;
}

.status td:first-child {
  min-width: 50px;
}

.status td:last-child {
  background-color: #6fb143;
}

a {
  color: inherit;
  /* text-decoration: none; */
}

a:hover {
  color: #ecdc00;
  text-shadow:
    1px 1px 0 #0e5a40,
    1px -1px 0 #0e5a40,
    -1px 1px 0 #0e5a40,
    -1px -1px 0 #0e5a40,
    1px 0px 0 #0e5a40,
    0px 1px 0 #0e5a40,
    -1px 0px 0 #0e5a40,
    0px -1px 0 #0e5a40;
  text-decoration: underline;
}

.extra {
  text-align: left;
  max-height: 80px;
  margin-left: 2px;
  overflow-y: scroll;
  scrollbar-width: thin;
  scrollbar-color: #c0ee1bdc #6fb143;
}

.extra:hover {
  scrollbar-color: #ecdc00 #6fb143;
}

.extra img:hover {
  outline: 2px solid #ecdc00;
}

/*==== Tooltip from row=>listening ====*/
.listening-tooltip {
  position: relative;
}

.listening-tooltiptext {
  visibility: hidden;
  width: 115px;
  position: absolute;
  bottom: 26px;
  left: -38px;
  text-align: center;
  background-color: #6fb143;
  border-radius: 4px;
  padding: 3px;
  outline: 2px solid #0e5a40;
  z-index: 1;
  opacity: 0;
  transition: opacity 0.5s;
}

.listening-tooltiptext span {
  color: #ecdc00;
  text-shadow:
    1px 1px 0 #0e5a40,
    1px -1px 0 #0e5a40,
    -1px 1px 0 #0e5a40,
    -1px -1px 0 #0e5a40,
    1px 0px 0 #0e5a40,
    0px 1px 0 #0e5a40,
    -1px 0px 0 #0e5a40,
    0px -1px 0 #0e5a40;
}

.listening-tooltiptext:after {
  content: "";
  position: absolute;
  top: 105%;
  left: 42%;
  border-width: 5px;
  border-style: solid;
  border-color: #0e5a40 transparent transparent transparent;
}

.listening-tooltip:hover .listening-tooltiptext {
  visibility: visible;
  opacity: 1;
}
